# DELETE /products/{{product_id}}/licenses/{{license_id}} — Delete License

> Product: **Pabbly Subscription Billing** (v1)
> Base URL: `https://payments.pabbly.com/api/v1`
> Auth: Basic via `Authorization` header
> Canonical: `/subscription-billing/licenses/delete-license`

This API can be used to delete the license. The API will be fired with DELETE request along with the product ID and license ID in the API link. In response you will get the successful message of deleted license.

**Path parameters:**

| Name | Type | Required | Description |
|------|------|----------|-------------|
| product_id | string | Yes |  |
| license_id | string | Yes |  |

**Response (200)** — Delete License:

```json
{
    "status": "success",
    "message": "License deleted",
    "data": {
        "createdAt": "2021-01-28T05:55:36.772Z",
        "updatedAt": "2021-01-28T07:14:35.704Z",
        "id": "601251d87948fe7864c0af15",
        "user_id": "5d3041850f26256feb47242e",
        "product_id": "5f912e619ede59558fab0ab0",
        "name": "Pabbly connect",
        "method": "list",
        "license_codes": "FIRSTCODE\nSECONDCODE\nTHIRDCODE\nFOURTHCODE",
        "plan_id": "",
        "status": "active"
    }
}
```

**Code examples:**

_cURL_

```curl
curl -X DELETE https://payments.pabbly.com/api/v1/products/{{product_id}}/licenses/{{license_id}} \
  -u {{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}
```

_Ruby_

```ruby
require 'net/http'
require 'json'

uri = URI('https://payments.pabbly.com/api/v1/products/{{product_id}}/licenses/{{license_id}}')
request = Net::HTTP::Delete.new(uri)
request.basic_auth '{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == 'https') do |http|
  http.request(request)
end

data = JSON.parse(response.body)
```

_Python_

```python
import requests
from requests.auth import HTTPBasicAuth

response = requests.delete(
    'https://payments.pabbly.com/api/v1/products/{{product_id}}/licenses/{{license_id}}',
    auth=HTTPBasicAuth('{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'),
)

data = response.json()
```

_PHP_

```php
<?php
$ch = curl_init('https://payments.pabbly.com/api/v1/products/{{product_id}}/licenses/{{license_id}}');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_USERPWD, '{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}');

$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
```

_Java_

```java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;

String credentials = Base64.getEncoder().encodeToString("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}".getBytes());

HttpClient client = HttpClient.newHttpClient();
HttpRequest.Builder builder = HttpRequest.newBuilder()
    .uri(URI.create("https://payments.pabbly.com/api/v1/products/{{product_id}}/licenses/{{license_id}}"))
    .header("Authorization", "Basic " + credentials)
    .DELETE();

HttpRequest request = builder.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```

_Node.js_

```node
const credentials = Buffer.from('{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}').toString('base64');

const response = await fetch('https://payments.pabbly.com/api/v1/products/{{product_id}}/licenses/{{license_id}}', {
  method: 'DELETE',
  headers: {
    'Authorization': `Basic ${credentials}`,
  },
});

const data = await response.json();
```

_Go_

```go
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("DELETE", "https://payments.pabbly.com/api/v1/products/{{product_id}}/licenses/{{license_id}}", nil)
    req.SetBasicAuth("{{YOUR_API_KEY}}", "{{YOUR_SECRET_KEY}}")

    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)
    fmt.Println(string(body))
}
```

_.NET_

```dotnet
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

var credentials = Convert.ToBase64String(Encoding.ASCII.GetBytes("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}"));

var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Delete, "https://payments.pabbly.com/api/v1/products/{{product_id}}/licenses/{{license_id}}");
request.Headers.TryAddWithoutValidation("Authorization", $"Basic {credentials}");

var response = await client.SendAsync(request);
var data = await response.Content.ReadAsStringAsync();
Console.WriteLine(data);
```

---

**Other endpoints in Licenses:**

- [POST /products/{{product_id}}/licenses — Create License](/subscription-billing/licenses/create-license)
- [PUT /products/{{product_id}}/licenses/{{license_id}} — Update License](/subscription-billing/licenses/update-license)
- [GET /products/{{product_id}}/licenses — List All Licenses](/subscription-billing/licenses/list-all-licenses)
- [GET /products/{{product_id}}/licenses/{{license_id}} — Get Single License](/subscription-billing/licenses/get-single-license)
- [GET /products/{{product_id}}/licenses/{{license_id}}/codes — Get License Codes](/subscription-billing/licenses/get-license-codes)
- [DELETE /products/{{product_id}}/licenses/{{license_id}}/codes/{{code}} — Delete License Code](/subscription-billing/licenses/delete-license-code)

